Forum Ametys

Forum de la communauté Ametys

You are not logged in.

#1 02/08/2013 07:23:30

srigottiparthi
Guest
Registered: 02/08/2013
Posts: 7

avalon expired

avalon framework has been expired. and our application built on avalon framework only.if we use this application any problems occurs in future  means to make any enhancements or adding extra features like wise

Offline

#2 02/08/2013 10:08:15

Raphaël Franchet
Expert Team
From: Toulouse
Registered: 10/08/2010
Posts: 1,091

Re: avalon expired

Ametys is currently based upon Apache Cocoon 2.1.
This version of Cocoon use the Avalon framework.
The project Avalon was closed a long time ago and moved as a subproject of the Excalibur project.
As far as I know it is effectively "mature".

Let's come back to Ametys.
We are using Avalon because of Cocoon, but for our "plugin manager" we did rewrite the implementation of Avalon.
Keep in mind, that Avalon is a light library : that is why we do absorb it in Ametys.

Also, as we are using it for 10 years in many production environments, no danger to discover a critical bug today.
And each time we want to integrate new features, enahancement and libraries, we do write a simple Avalon component to connect it.

So, IMO, there is no problems around Avalon big_smile


Raphael Franchet
Expert Ametys

Offline

#3 07/08/2013 12:29:58

srigottiparthi
Guest
Registered: 02/08/2013
Posts: 7

Re: avalon expired

thanks

Offline

Board footer

Powered by FluxBB